# $Revision: 1.14 $, $Date: 2011/12/18 16:29:10 $
Summary:	Fast and Easy Subtitle Downloader
Summary(pl.UTF-8):	Narzędzie do automatycznego ściągania/wysyłania podpisów do plików wideo
Name:		subdownloader
Version:	2.0.14
Release:	2
License:	GPL v3
Group:		X11/Applications/Multimedia
Source0:	https://launchpad.net/subdownloader/trunk/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	b60443cfcefd89b0893628b18eccae9c
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}.sh
# site down, and was not in distfiles
#Source:	http://starowa.one.pl/~uzi/pld/%{name}-locale-pl.tar.gz
Patch0:		always-en.patch
URL:		http://www.subdownloader.net/
BuildRequires:	rpm-pythonprov
Requires:	desktop-file-utils
Requires:	python >= 1:2.5
Requires:	python-PyQt4
Requires:	python-mmpython
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir	%{_datadir}/%{name}

%description
SubDownloader is a program for automatic download/upload subtitles for
videofiles (DivX, MPEG, AVI, VOB, etc) and DVDs using fast hashing.

Features:
- no spyware, no adware, source code is available
- it uses fast hashing algorithm (27 GB movies/7 seconds)
- recursively folders search
- Autodetect language of the subtitles
- Upload entire series seasons' subtitles in less than 1 minute
- and many more

%description -l pl.UTF-8
Subdownloader to napisane w Pythonie wolnodostępne narzędzie do
automatycznego ściągania/wysyłania podpisów do filmów (DivX, MPEG, AVI
itp.).

Cechy:
- brak spyware, adware; dostępny kod źródłowy
- wykorzystuje szybki algorytm haszujący (27 GB filmów/7 sekund)
- rekurencyjne wyszukiwanie napisów z folderów divx
- wysyłanie całych serii podpisów seriali w czasie poniżej minuty
- automatyczne wykrywanie języka podpisów
- i wiele więcej

%prep
%setup -q
%patch0 -p1

#tar xzf %{SOURCE3}

%{__rm} gui/images/icon32.ico
%{__rm} gui/images_rc.py

%build
%{__make} -C gui images_rc.py

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir},%{_mandir}/man1,%{_datadir}/locale,%{_appdir}}

cp -a cli FileManagement gui languages modules run.py $RPM_BUILD_ROOT%{_appdir}
cp -a locale/* $RPM_BUILD_ROOT%{_datadir}/locale
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -p subdownloader.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%{__rm} $RPM_BUILD_ROOT%{_appdir}/gui/Makefile
%{__rm} $RPM_BUILD_ROOT%{_appdir}/gui/Qt2Po.py
# images bundled into images_rc.py
%{__rm} -r $RPM_BUILD_ROOT%{_appdir}/gui/images
%{__rm} -r $RPM_BUILD_ROOT%{_appdir}/gui/images.qrc
# _ui.py via pyuic4
%{__rm} -r $RPM_BUILD_ROOT%{_appdir}/gui/*.ui

# duplicate with es
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/es_ES
# duplicate with pt
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/pt_PT
%{__rm} $RPM_BUILD_ROOT%{_datadir}/locale/subdownloader.pot
%{__rm} $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/subdownloader.po

%find_lang %{name}

%py_comp $RPM_BUILD_ROOT%{_appdir}
%py_ocomp $RPM_BUILD_ROOT%{_appdir}
%py_postclean %{_appdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*.1*
%dir %{_appdir}
%{_appdir}/*.py[co]
%{_appdir}/FileManagement
%{_appdir}/cli
%{_appdir}/gui
%{_appdir}/modules
%{_appdir}/languages
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: subdownloader.spec,v $
Revision 1.14  2011/12/18 16:29:10  glen
- pff, update desktop database not mime

Revision 1.13  2011/12/18 16:24:30  glen
- release 1

Revision 1.12  2011/12/18 16:24:17  glen
- add en always to language choices even if no translations installed

Revision 1.11  2011/12/18 16:23:27  glen
- skip packaging .ui sources

Revision 1.10  2011/12/18 16:15:23  glen
- conf patch outdated

Revision 1.9  2011/12/18 16:14:06  glen
- do not package source resources

Revision 1.8  2011/12/18 15:58:16  glen
- update-mime-database (desktop file uses MimeType)

Revision 1.7  2011/12/18 15:56:50  glen
- up to 2.0.14

Revision 1.6  2007/06/03 09:48:47  qboosh
- pl

Revision 1.5  2007/05/29 20:53:36  cactus
- added polish locales
- added patch for reading configuration

Revision 1.4  2007/05/29 18:12:50  arvenil
- BR: python-imdb.spec >= 2.6

Revision 1.3  2007/05/28 18:51:36  shadzik
- license
- more %docs
- cosmetics

Revision 1.2  2007/05/28 16:52:04  cactus
- BR: unzip

Revision 1.1  2007/05/28 16:41:33  cactus
- initial release
